@import 'variables';
@import 'fonts';

body {
  margin: 0;

  background-image: url('./img/bg.jpg');
  background-repeat: repeat;
  background-attachment: fixed;

  font-family: "Gudea", Arial, sans-serif;
  font-size: 12pt;
}

img {
  max-width: 100%;
  height: auto;
}

a {
  color: var(--color-red);
}
.header, .sidebar, .footer {
  a {
    color: inherit;
    text-decoration: none;

    &:hover {
      color: var(--color-red-light);
    }
  }
}

ul {}

li.widget {
  list-style-type: none;
}

p {}

.wp-block-table {
  margin: 0;
  box-shadow: 5px 5px 10px 0px rgba(0,0,0,0.4);
}
table {
  border: 1px solid #000;

  tr {
    &:nth-child(2n+1) {
      background-color: #b2b2b2;
    }
    &:nth-child(2n) {
      background-color: #fff;
    }
  }

  td {
    border: 1px solid #000;
    border-width: 0 1px 1px 0;
    padding: 7px;
  }
}

h1, h2 {
  font-size: 1.3em;

  & + p {
    margin-top: 0;
  }
}

h4 {
  color: var(--color-red);
}

.site-wrap {
  max-width: $max-width;
  margin: 0 auto;
  background-color: #fff;
  border: 2px solid #c5c6c6;
  border-top: none;
  border-bottom: none;

  margin-bottom: 0.5em;

  &--inner {
    margin: 0 auto;
		padding: 0 var(--inner-padding);
  }
}

.scrollup {
  position: fixed;
  width: 35px;
  height: 35px;
  right: var(--inner-padding);
  bottom: var(--inner-padding);
  background: #fff;
  opacity: 0.3;
  border-radius: 40px;
  border: 1px solid #c5c6c6;

  &:after {
    content: '\f343';
		font-family: Dashicons;
    position: absolute;
    left: 11%;
    top: 1%;
    font-size: 1.7em;
    color: #000;
  }

  &:hover {
    opacity: 1.0;
  }
}

.current_page_item,
.current-page-ancestor {
  color: var(--color-red-light);
}

.header {
  background-color: var(--color-bg-gray);

  &__background {
    background-image: url('./img/header.jpg');
    background-repeat: no-repeat;
    height: 250px;
    border-top: 10px solid var(--color-bg-gray);
  }

  .logo {
    display: inline-block;
    height: 180px;
    width: 195px;
    margin-top: 40px;
  }

  nav {
    color: #fff;
    padding: 0.4em 0;

    ul {
      margin: 0; padding: 0;
      list-style-type: none;
      display: flex;
      justify-content: space-between;

      li {
        font-weight: 700;
      }

      li + li {
        margin-left: 0.5em;
      }

			@media (max-width: 700px) {
				display: grid;
				grid-template-columns: repeat(auto-fit, minmax(60px, 1fr));
				grid-gap: 0.4rem;

				li {
					text-align: center;
				}

				li + li {
					margin: 0;
				}
			}
		}
  }
}

.main {
  &--with-sidebar {
    .site-wrap--inner {
      display: flex;
      justify-content: space-between;
    }

    .content {
      flex-grow: 1;
      padding-right: var(--inner-padding);
    }

		@media (max-width: 700px) {
			.site-wrap--inner {
				flex-direction: column;
			}

			.content {
				padding-right: 0;
			}
		}
  }

  .content {
    margin-top: 0.25em;
    border-top: 1px solid;
    border-image-slice: 1;
    border-image-source: linear-gradient(to left, #ebebeb, #d0d0d0, #ebebeb);
  }

  .sidebar {
    max-width: 250px;
    display: flex;
    flex-direction: column;
    align-items: end;

		@media (max-width: 700px) {
			max-width: none;
			align-items: center;
		}
	}
}

.footer {
  background-image: url('./img/footer.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  border-top: 15px solid var(--color-bg-gray);

  color: #fff;

  &__links {
    display: flex;
    justify-content: space-between;

    font-size: 0.8em;
    line-height: 1.5em;

    ul {
      list-style-type: disclosure-closed;
      padding-left: 1.5em;
    }

		@media (max-width: 700px) {
			flex-direction: column;
			align-items: center;
			text-align: center;
		}
  }

  nav {
    padding: 0.4em 0;

    ul {
      padding: 0; margin: 0;
      list-style-type: none;
      display: flex;

      li {
        font-size: 0.8em;
      }

      li + li {
        &:before {
          content: '|';
          margin: 0 0.5em;
        }
      }

			@media (max-width: 700px) {
				flex-direction: column;
				align-items: center;
			}
		}
  }
}

.pagination-block {
  padding-bottom: 1rem;

  ul {
    list-style-type: none;
    margin: 0; padding: 0;
  }

  .pagination {
    display: flex;
    justify-content: center;
    align-items: center;

    > li + li {
      margin-left: 1.5rem;
    }
  }

  .pages {
    display: flex;

    li + li {
      &:before {
        content: '·';
        margin-left: 4px;
      }
    }
  }

  .btn {
    &.disabled {
      a {
        text-decoration: none;
        color: var(--color-gray);
        cursor: default;
      }
    }
  }
}

@import 'utility';
@import 'gigadmin';
@import 'media';
@import 'widgets';
